export const CORE_DEFAULTS = {
    debug: false,
    isolated: false,
    network: 'regtest',
    timeout: 5000,
    verbose: true,
    params: [],
    core_params: [],
    cli_params: []
};
export const CMD_DEFAULTS = {
    cache: false,
    params: []
};
export function core_config(config = {}) {
    const { confpath, corepath, clipath, datapath } = config;
    config.confpath = resolve_path(confpath);
    config.corepath = resolve_path(corepath);
    config.clipath = resolve_path(clipath);
    config.datapath = resolve_path(datapath);
    return { ...CORE_DEFAULTS, ...config };
}
export function cmd_config(config = {}) {
    return { ...CMD_DEFAULTS, ...config };
}
function resolve_path(path) {
    return (typeof path === 'string' && !path.startsWith('/'))
        ? process.cwd() + '/' + path
        : path;
}
//# sourceMappingURL=config.js.map